Skip to main content

Scim

View as Markdown

Create Group GA

POST /api/2.0/preview/scim/v2/Groups

Creates a group in the <Databricks> workspace with a unique name, using the supplied group details.

API scopes: scim

Request body

displayNamestring

String that represents a human-readable group name

entitlementsarray of object

Entitlements assigned to the group. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring
groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstring

<Databricks> group ID

membersarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the group.

Values: GROUP_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_GROUP

Response

displayNamestring

String that represents a human-readable group name

entitlementsarray of object

Entitlements assigned to the group. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

external_id should be unique for identifying groups

Constraints: <= 64 characters

groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstring

<Databricks> group ID

membersarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the group.

Values: GROUP_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_GROUP

Delete Group GA

DELETE /api/2.0/preview/scim/v2/Groups/{id}

Deletes a group from the <Databricks> workspace.

API scopes: scim

Parameters

idstringpath

Unique ID for a group in the <Databricks> workspace.

Get Group GA

GET /api/2.0/preview/scim/v2/Groups/{id}

Gets the information for a specific group in the <Databricks> workspace.

API scopes: scim

Parameters

idstringpath

Unique ID for a group in the <Databricks> workspace.

Response

displayNamestring

String that represents a human-readable group name

entitlementsarray of object

Entitlements assigned to the group. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

external_id should be unique for identifying groups

Constraints: <= 64 characters

groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstring

<Databricks> group ID

membersarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the group.

Values: GROUP_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_GROUP

List Groups GA

GET /api/2.0/preview/scim/v2/Groups

Gets all details of the groups associated with the <Databricks> workspace.

API scopes: scim

Parameters

filterstringquery

Query by which the results have to be filtered. Supported operators are equals(eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators - and and or. The SCIM RFC has more details but we currently only support simple expressions.

attributesstringquery

Comma-separated list of attributes to return in response.

excludedAttributesstringquery

Comma-separated list of attributes to exclude in response.

startIndexint64query

Specifies the index of the first result. First item is number 1.

countint64query

Desired number of results per page.

Constraints: <= 100

sortBystringquery

Attribute to sort the results.

sortOrderstringquery

The order to sort the results.

Values: ORDER_UNSPECIFIED, ASCENDING, DESCENDING

Response

itemsPerPageint32

Total results returned in the response.

Resourcesarray of object

User objects returned in the response.

Show child attributesHide child attributes
displayNamestring

String that represents a human-readable group name

entitlementsarray of object

Entitlements assigned to the group. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

external_id should be unique for identifying groups

Constraints: <= 64 characters

groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstring

<Databricks> group ID

membersarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the group.

Values: GROUP_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_GROUP

schemasarray of string

The schema of the service principal.

Values: LIST_RESPONSE_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_API_MESSAGES_2_0_LIST_RESPONSE

startIndexint64

Starting index of all the results that matched the request filters. First item is number 1.

Default: 1

totalResultsint32

Total results that match the request filters.

Patch Group GA

PATCH /api/2.0/preview/scim/v2/Groups/{id}

Partially updates the details of a group.

API scopes: scim

Parameters

idstringpath

Unique ID in the <Databricks> workspace.

Request body

Operationsarray of object
Show child attributesHide child attributes
opstring

Type of patch operation.

Values: PATCH_OP_UNSPECIFIED, ADD, REMOVE, REPLACE

pathstring

Selection of patch operation

valueobject

Value to modify

schemasarray of string

The schema of the patch request. Must be ["urn:ietf:params:scim:api:messages:2.0:PatchOp"].

Values: PATCH_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_API_MESSAGES_2_0_PATCH_OP

Update Group GA

PUT /api/2.0/preview/scim/v2/Groups/{id}

Updates the details of a group by replacing the entire group entity.

API scopes: scim

Parameters

idstringpath

<Databricks> group ID

Request body

displayNamestring

String that represents a human-readable group name

entitlementsarray of object

Entitlements assigned to the group. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring
groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
membersarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the group.

Values: GROUP_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_GROUP

Create Service Principal GA

POST /api/2.0/preview/scim/v2/ServicePrincipals

Creates a new service principal in the <Databricks> workspace.

API scopes: scim

Request body

activeboolean

If this user is active

applicationIdstring

UUID relating to the service principal

displayNamestring

String that represents a concatenation of given and family names.

Example: etl-service

entitlementsarray of object

Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring
groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstring

<Databricks> service principal ID.

rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the List response.

Values: SERVICE_PRINCIPAL_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_SERVICE_PRINCIPAL

Response

activeboolean

If this user is active

applicationIdstring

UUID relating to the service principal

displayNamestring

String that represents a concatenation of given and family names.

Example: etl-service

entitlementsarray of object

Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

Constraints: <= 64 characters

groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstring

<Databricks> service principal ID.

rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the List response.

Values: SERVICE_PRINCIPAL_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_SERVICE_PRINCIPAL

Delete Service Principal GA

DELETE /api/2.0/preview/scim/v2/ServicePrincipals/{id}

Delete a single service principal in the <Databricks> workspace.

API scopes: scim

Parameters

idstringpath

Unique ID for a service principal in the <Databricks> workspace.

Get Service Principal GA

GET /api/2.0/preview/scim/v2/ServicePrincipals/{id}

Gets the details for a single service principal define in the <Databricks> workspace.

API scopes: scim

Parameters

idstringpath

Unique ID for a service principal in the <Databricks> workspace.

Response

activeboolean

If this user is active

applicationIdstring

UUID relating to the service principal

displayNamestring

String that represents a concatenation of given and family names.

Example: etl-service

entitlementsarray of object

Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

Constraints: <= 64 characters

groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstring

<Databricks> service principal ID.

rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the List response.

Values: SERVICE_PRINCIPAL_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_SERVICE_PRINCIPAL

List Service Principals GA

GET /api/2.0/preview/scim/v2/ServicePrincipals

Gets the set of service principals associated with a <Databricks> workspace.

API scopes: scim

Parameters

attributesstringquery

Comma-separated list of attributes to return in response.

countint64query

Desired number of results per page.

Constraints: <= 100

excludedAttributesstringquery

Comma-separated list of attributes to exclude in response.

filterstringquery

Query by which the results have to be filtered. Supported operators are equals(eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators - and and or. The SCIM RFC has more details but we currently only support simple expressions.

sortBystringquery

Attribute to sort the results.

sortOrderstringquery

The order to sort the results.

Values: ORDER_UNSPECIFIED, ASCENDING, DESCENDING

startIndexint64query

Specifies the index of the first result. First item is number 1.

Response

itemsPerPageint32

Total results returned in the response.

Resourcesarray of object

User objects returned in the response.

Show child attributesHide child attributes
activeboolean

If this user is active

applicationIdstring

UUID relating to the service principal

displayNamestring

String that represents a concatenation of given and family names.

Example: etl-service

entitlementsarray of object

Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

Constraints: <= 64 characters

groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstring

<Databricks> service principal ID.

rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the List response.

Values: SERVICE_PRINCIPAL_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_SERVICE_PRINCIPAL

schemasarray of string

The schema of the List response.

Values: LIST_RESPONSE_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_API_MESSAGES_2_0_LIST_RESPONSE

startIndexint64

Starting index of all the results that matched the request filters. First item is number 1.

Default: 1

totalResultsint32

Total results that match the request filters.

Patch Service Principal GA

PATCH /api/2.0/preview/scim/v2/ServicePrincipals/{id}

Partially updates the details of a single service principal in the <Databricks> workspace.

API scopes: scim

Parameters

idstringpath

Unique ID in the <Databricks> workspace.

Request body

Operationsarray of object
Show child attributesHide child attributes
opstring

Type of patch operation.

Values: PATCH_OP_UNSPECIFIED, ADD, REMOVE, REPLACE

pathstring

Selection of patch operation

valueobject

Value to modify

schemasarray of string

The schema of the patch request. Must be ["urn:ietf:params:scim:api:messages:2.0:PatchOp"].

Values: PATCH_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_API_MESSAGES_2_0_PATCH_OP

Update Service Principal GA

PUT /api/2.0/preview/scim/v2/ServicePrincipals/{id}

Updates the details of a single service principal.

This action replaces the existing service principal with the same name.

API scopes: scim

Parameters

idstringpath

<Databricks> service principal ID.

Request body

activeboolean

If this user is active

applicationIdstring

UUID relating to the service principal

displayNamestring

String that represents a concatenation of given and family names.

Example: etl-service

entitlementsarray of object

Entitlements assigned to the service principal. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring
groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the List response.

Values: SERVICE_PRINCIPAL_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_SERVICE_PRINCIPAL

Create User GA

POST /api/2.0/preview/scim/v2/Users

Creates a new user in the <Databricks> workspace. This new user will also be added to the <Databricks> account.

API scopes: scim

Request body

activeboolean

If this user is active

displayNamestring

String that represents a concatenation of given and family names. For example John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to update displayName.

emailsarray of object

All the emails associated with the <Databricks> user.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
entitlementsarray of object

Entitlements assigned to the user. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

External ID is not currently supported. It is reserved for future use.

groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstring

<Databricks> user ID.

nameobject
Show child attributesHide child attributes
familyNamestring

Family name of the <Databricks> user.

givenNamestring

Given name of the <Databricks> user.

rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the user.

Values: USER_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_USER, URN_IETF_PARAMS_SCIM_SCHEMAS_EXTENSION_WORKSPACE_2_0_USER

userNamestring

Email address of the <Databricks> user.

Response

activeboolean

If this user is active

displayNamestring

String that represents a concatenation of given and family names. For example John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to update displayName.

emailsarray of object

All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
entitlementsarray of object

Entitlements assigned to the user. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

External ID is not currently supported. It is reserved for future use.

Constraints: <= 64 characters

groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstring

<Databricks> user ID.

nameobject
Show child attributesHide child attributes
familyNamestring

Family name of the <Databricks> user.

givenNamestring

Given name of the <Databricks> user.

rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the user.

Values: USER_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_USER, URN_IETF_PARAMS_SCIM_SCHEMAS_EXTENSION_WORKSPACE_2_0_USER

userNamestring

Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

Delete User GA

DELETE /api/2.0/preview/scim/v2/Users/{id}

Deletes a user. Deleting a user from a <Databricks> workspace also removes objects associated with the user.

API scopes: scim

Parameters

idstringpath

Unique ID for a user in the <Databricks> workspace.

Get Permission Levels GA

GET /api/2.0/permissions/authorization/passwords/permissionLevels

Gets the permission levels that a user can have on an object.

API scopes: scim

CloudsAWS

Response

permission_levelsarray of object

Specific permission levels

Show child attributesHide child attributes
descriptionstring
permission_levelstring

Permission level

Values: LEVEL_UNSPECIFIED, CAN_USE

Get Permissions GA

GET /api/2.0/permissions/authorization/passwords

Gets the permissions of all passwords. Passwords can inherit permissions from their root object.

API scopes: scim

CloudsAWS

Response

access_control_listarray of object
Show child attributesHide child attributes
all_permissionsarray of object

All permissions.

Show child attributesHide child attributes
inheritedboolean
inherited_from_objectarray of string
permission_levelstring

Permission level

Values: LEVEL_UNSPECIFIED, CAN_USE

display_namestring

Display name of the user or service principal.

group_namestring

name of the group

service_principal_namestring

Name of the service principal.

user_namestring

name of the user

object_idstring
object_typestring

Get User GA

GET /api/2.0/preview/scim/v2/Users/{id}

Gets information for a specific user in <Databricks> workspace.

API scopes: scim

Parameters

idstringpath

Unique ID for a user in the <Databricks> workspace.

attributesstringquery

Comma-separated list of attributes to return in response.

countint32query

Desired number of results per page.

excludedAttributesstringquery

Comma-separated list of attributes to exclude in response.

filterstringquery

Query by which the results have to be filtered. Supported operators are equals(eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators - and and or. The SCIM RFC has more details but we currently only support simple expressions.

sortBystringquery

Attribute to sort the results. Multi-part paths are supported. For example, userName, name.givenName, and emails.

sortOrderstringquery

The order to sort the results.

Values: GET_SORT_ORDER_UNSPECIFIED, ASCENDING, DESCENDING

startIndexint32query

Specifies the index of the first result. First item is number 1.

Response

activeboolean

If this user is active

displayNamestring

String that represents a concatenation of given and family names. For example John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to update displayName.

emailsarray of object

All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
entitlementsarray of object

Entitlements assigned to the user. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

External ID is not currently supported. It is reserved for future use.

Constraints: <= 64 characters

groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstring

<Databricks> user ID.

nameobject
Show child attributesHide child attributes
familyNamestring

Family name of the <Databricks> user.

givenNamestring

Given name of the <Databricks> user.

rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the user.

Values: USER_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_USER, URN_IETF_PARAMS_SCIM_SCHEMAS_EXTENSION_WORKSPACE_2_0_USER

userNamestring

Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

List Users GA

GET /api/2.0/preview/scim/v2/Users

Gets details for all the users associated with a <Databricks> workspace.

API scopes: scim

Parameters

attributesstringquery

Comma-separated list of attributes to return in response.

countint64query

Desired number of results per page.

Constraints: <= 100

excludedAttributesstringquery

Comma-separated list of attributes to exclude in response.

filterstringquery

Query by which the results have to be filtered. Supported operators are equals(eq), contains(co), starts with(sw) and not equals(ne). Additionally, simple expressions can be formed using logical operators - and and or. The SCIM RFC has more details but we currently only support simple expressions.

sortBystringquery

Attribute to sort the results. Multi-part paths are supported. For example, userName, name.givenName, and emails.

sortOrderstringquery

The order to sort the results.

Values: ORDER_UNSPECIFIED, ASCENDING, DESCENDING

startIndexint64query

Specifies the index of the first result. First item is number 1.

Response

itemsPerPageint32

Total results returned in the response.

Resourcesarray of object

User objects returned in the response.

Show child attributesHide child attributes
activeboolean

If this user is active

displayNamestring

String that represents a concatenation of given and family names. For example John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to update displayName.

emailsarray of object

All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
entitlementsarray of object

Entitlements assigned to the user. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

External ID is not currently supported. It is reserved for future use.

Constraints: <= 64 characters

groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
idstring

<Databricks> user ID.

nameobject
Show child attributesHide child attributes
familyNamestring

Family name of the <Databricks> user.

givenNamestring

Given name of the <Databricks> user.

rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the user.

Values: USER_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_USER, URN_IETF_PARAMS_SCIM_SCHEMAS_EXTENSION_WORKSPACE_2_0_USER

userNamestring

Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

schemasarray of string

The schema of the List response.

Values: LIST_RESPONSE_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_API_MESSAGES_2_0_LIST_RESPONSE

startIndexint64

Starting index of all the results that matched the request filters. First item is number 1.

Default: 1

totalResultsint32

Total results that match the request filters.

Default: 10

Patch User GA

PATCH /api/2.0/preview/scim/v2/Users/{id}

Partially updates a user resource by applying the supplied operations on specific user attributes. The userName and emails attributes cannot be updated through this API; any supplied changes to them are ignored (no-op).

API scopes: scim

Parameters

idstringpath

Unique ID in the <Databricks> workspace.

Request body

Operationsarray of object
Show child attributesHide child attributes
opstring

Type of patch operation.

Values: PATCH_OP_UNSPECIFIED, ADD, REMOVE, REPLACE

pathstring

Selection of patch operation

valueobject

Value to modify

schemasarray of string

The schema of the patch request. Must be ["urn:ietf:params:scim:api:messages:2.0:PatchOp"].

Values: PATCH_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_API_MESSAGES_2_0_PATCH_OP

Set Permissions GA

PUT /api/2.0/permissions/authorization/passwords

Sets permissions on an object, replacing existing permissions if they exist. Deletes all direct permissions if none are specified. Objects can inherit permissions from their root object.

API scopes: scim

CloudsAWS

Request body

access_control_listarray of object
Show child attributesHide child attributes
group_namestring

name of the group

permission_levelstring

Permission level

Values: LEVEL_UNSPECIFIED, CAN_USE

service_principal_namestring

application ID of a service principal

user_namestring

name of the user

Response

access_control_listarray of object
Show child attributesHide child attributes
all_permissionsarray of object

All permissions.

Show child attributesHide child attributes
inheritedboolean
inherited_from_objectarray of string
permission_levelstring

Permission level

Values: LEVEL_UNSPECIFIED, CAN_USE

display_namestring

Display name of the user or service principal.

group_namestring

name of the group

service_principal_namestring

Name of the service principal.

user_namestring

name of the user

object_idstring
object_typestring

Update Permissions GA

PATCH /api/2.0/permissions/authorization/passwords

Updates the permissions on all passwords. Passwords can inherit permissions from their root object.

API scopes: scim

CloudsAWS

Request body

access_control_listarray of object
Show child attributesHide child attributes
group_namestring

name of the group

permission_levelstring

Permission level

Values: LEVEL_UNSPECIFIED, CAN_USE

service_principal_namestring

application ID of a service principal

user_namestring

name of the user

Response

access_control_listarray of object
Show child attributesHide child attributes
all_permissionsarray of object

All permissions.

Show child attributesHide child attributes
inheritedboolean
inherited_from_objectarray of string
permission_levelstring

Permission level

Values: LEVEL_UNSPECIFIED, CAN_USE

display_namestring

Display name of the user or service principal.

group_namestring

name of the group

service_principal_namestring

Name of the service principal.

user_namestring

name of the user

object_idstring
object_typestring

Update User GA

PUT /api/2.0/preview/scim/v2/Users/{id}

Replaces a user's information with the data supplied in request. The userName and emails attributes cannot be updated through this API; any supplied changes to them are ignored (no-op).

API scopes: scim

Parameters

idstringpath

<Databricks> user ID.

Request body

activeboolean

If this user is active

displayNamestring

String that represents a concatenation of given and family names. For example John Smith. This field cannot be updated through the Workspace SCIM APIs when identity federation is enabled. Use Account SCIM APIs to update displayName.

emailsarray of object

All the emails associated with the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
entitlementsarray of object

Entitlements assigned to the user. See assigning entitlements for a full list of supported values.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
externalIdstring

External ID is not currently supported. It is reserved for future use.

groupsarray of object
Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
nameobject
Show child attributesHide child attributes
familyNamestring

Family name of the <Databricks> user.

givenNamestring

Given name of the <Databricks> user.

rolesarray of object

Corresponds to AWS instance profile/arn role.

Show child attributesHide child attributes
displaystring
primaryboolean
$refstring
typestring
valuestring
schemasarray of string

The schema of the user.

Values: USER_SCHEMA_UNSPECIFIED, URN_IETF_PARAMS_SCIM_SCHEMAS_CORE_2_0_USER, URN_IETF_PARAMS_SCIM_SCHEMAS_EXTENSION_WORKSPACE_2_0_USER

userNamestring

Email address of the <Databricks> user. This attribute cannot be updated through the SCIM PATCH or PUT APIs; any supplied change is ignored.